curl --request GET \
--url https://api.staging.payrails.io/payment/frauds/{fraudId}/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/payment/frauds/{fraudId}/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/payment/frauds/{fraudId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "ca4149e4-4f94-4f52-a2b3-387e7daaaed5",
"fraudId": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:53:36.814Z",
"updatedAt": "2022-04-22T17:53:36.814Z",
"type": "FraudScore",
"result": "Success",
"providerReference": "7259709193376209003955",
"decision": "Review",
"providerExecutedAt": "2022-04-22T17:53:36.814Z",
"actionId": "6aa0ac3b-df9b-4ac4-95ae-590fc5028c48",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a",
"providerLatency": "201.076ms",
"totalLatency": "234.4291ms"
},
{
"id": "93f6e254-a6f1-400c-b640-da78f11cd3d1",
"fraudId": "f136fe25-04db-4a64-8a93-5b8b3f97c35b",
"createdAt": "2022-04-22T17:54:23.663Z",
"updatedAt": "2022-04-22T17:54:23.663Z",
"type": "FraudScoreNotification",
"result": "Success",
"providerReference": "7259709193376209003955",
"decision": "Allow",
"providerExecutedAt": "2022-04-22T17:54:22.814Z",
"workspaceId": "7f9f1882-a103-408d-ac96-46a7021e537a"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Get Fraud Operations by Fraud ID
Find a fraud operation from a given fraudID.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Query Parameters
Include latency in the response.
Include operation logs in the response.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Fraud Operation in Payrails.
Exact date and time when the Fraud Operation was created in Payrails. Possibly differs slightly from the date in the fraud provider.
Exact date and time when the Fraud Operation was updated in Payrails. Possibly differs slightly from the date in the fraud provider.
Operation Result that was executed in the Provider.
Success, Unknown, Timeout, ProviderTimeout, UnexpectedProviderResponse, ProviderUnknownError, ProviderConnectionError, DuplicateOperation, OperationNotAllowed, ValidationError, ParamsError, ProviderConfigError, InvalidSignature, InternalServerError, AuthenticationError Operation Type that was executed in the Provider.
FraudScore, FraudScoreNotification Workspace ID that the workflow configuration belongs to.
Unique identifier of the Fraud check that this Operation belongs to in Payrails.
Unique identifier of the Fraud Operation in an external system. Some PSPs provide a specific ID for each update in the Fraud, but most of them use the same as the original Fraud.
Decision taken by the fraud provider.
Allow, Review, Prevent, Challenge, NoDecision, Ignore Reason why the operation was done.
Error details from the Payrails or the provider in case of error.
Exact date and time when the Fraud Operation was executed in the fraud provider.
Specific details of the provider response that mapped to the specific Payrails result.
Identifier of the action in the Workflow that led to this Fraud check.
List of operation logs associated with this operation.
Hide child attributes
Hide child attributes
Unique identifier of the Operation Log in Payrails.
Exact date and time when the Operation Log was created in Payrails. Possibly differs slightly from the date in the provider.
Unique identifier of the Operation that this Log belongs to in Payrails.
Original request object sent to the Provider.
Original response object received from the Provider.
Workspace ID that the workflow configuration belongs to.
Latency of the operation on the provider side.
Total latency of the operation.
Latency of the operation on the provider side.
Total latency of the operation.